linux升级nodejs版本丨技术开发分享录

linux升级nodejs版本

{{ detail.nickname }}

转载 翻译 {{ formatTime(detail.create_time) }} 字数 {{ detail.content && detail.content.length }} 阅读 {{ detail.read_num }} {{ formatTag(v) }}

"因现有项目需要兼容 `es6/7` 的语法 `async`、`await`, 服务器上的node版本还是 `8.11.3` 的版本,这个版本还不支持 `async`、`await`,需要升级node到最新的版本\n\n使用npm安装 `n` 模块,使用 `n` 来升级nodejs\n\n安装n模块:\n\n```shell\n> npm install -g n\n```\n\n全局使用 `n` 命令,需要创建软链接,创建命令如下:\n\n```shell\n> ln -s /root/node-v8.11.3-linux-x64/bin /usr/local/bin/\n```\n\n升级到最新稳定版\n\n```shell\n> n stable\n```\n\n升级到最新版\n\n```shell\n> n latest\n```\n\n升级到指定版本\n\n```shell\n> n v10.15.3\n```\n\n> PS:针对window nodejs版本升级,需要下载最新的覆盖安装"
PS:写作不易,如要转裁,请标明转载出处。

如果此篇对您有帮助,可小额赞助,以兹鼓励!

猜你想看